Bug 1057924 - vtk-devel is missing dependencies on libxml2-devel and freetype-devel
Summary: vtk-devel is missing dependencies on libxml2-devel and freetype-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vtk
Version: 20
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-26 02:32 UTC by Scott K Logan
Modified: 2014-02-05 03:42 UTC (History)
5 users (show)

Fixed In Version: vtk-6.0.0-9.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 03:42:37 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Scott K Logan 2014-01-26 02:32:12 UTC
Description of problem:
Since libxml2-devel and freetype-devel are listed as include directories for dependent projects in the VTKConfig.cmake, they should be installed with the vtk-devel package so that said projects can build against VTK.

Without those packages installed, the dependent projects will fail to build.

Version-Release number of selected component (if applicable):
vtk-devel-0:6.0.0-7.fc20.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Look at the spec file for vtk
2. Observe lack of libxml2-devel and freetype-devel in "Depends" for devel package

Actual results:
libxml2-devel and freetype-devel are missing

Expected results:
libxml2-devel and freetype-devel are present

Additional info:
This change makes sense in the case where a dependent project only builds against VTK, and doesn't try to use anything from freetype or libxml2 directly. It would not make sense for that package to list freetype/libxml2 as build dependencies if it doesn't use them, so the dependency should come from this devel package.

Comment 1 Fedora Update System 2014-01-27 01:43:52 UTC
vtk-6.0.0-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vtk-6.0.0-8.fc20

Comment 2 Fedora Update System 2014-01-27 13:09:08 UTC
Package vtk-6.0.0-8.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vtk-6.0.0-8.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1608/vtk-6.0.0-8.fc20
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-01-28 04:44:22 UTC
Package vtk-6.0.0-9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vtk-6.0.0-9.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1608/vtk-6.0.0-9.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-02-05 03:42:37 UTC
vtk-6.0.0-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.